Bug 1315370 - Review Request: perl-List-SomeUtils - Provide the stuff missing in List::Util
Review Request: perl-List-SomeUtils - Provide the stuff missing in List::Util
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1315319
Blocks: 1314937
  Show dependency treegraph
 
Reported: 2016-03-07 09:58 EST by Jitka Plesnikova
Modified: 2016-03-26 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-List-SomeUtils-0.51-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2016-03-07 09:58:35 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-List-SomeUtils/perl-List-SomeUtils.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-List-SomeUtils/perl-List-SomeUtils-0.51-1.fc25.src.rpm

Description:
List::SomeUtils provides some trivial but commonly needed functionality on
lists which is not going to go into List::Util.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2016-03-09 08:01:01 EST
URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 17fc9ae1df51cf94aea14eb5e229b0e7737aed48a6a5ca40761ba387a2fdafc1). Ok.
Summary verified from lib/List/SomeUtils.pm. Ok.
Description verified from lib/List/SomeUtils.pm. Ok.
License verified from lib/List/SomeUtils/PP.pm, LICENSE, dist.ini. Ok.
No XS code, noarch BuildArch is Ok.
inc/MyMakeMaker.pm not used. Ok.

TODO: I recommend to package List::SomeUtils::XS in order to provide faster XS implementation.

blib not used. Ok.
IO::Handle not used. Ok.
IPC::Open3 not used. Ok.
Pod::Coverage::TrustPod not used. Ok.
Pod::Wordlist not used. Ok.
Test::Code::TidyAll not used. Ok.
Test::CPAN::Changes not used. Ok.
Test::CPAN::Meta::JSON not used. Ok.
Test::EOL not used. Ok.

Test::LeakTrace is optional. Ok.

Test::Mojibake not used. Ok.
Test::NoTabs not used. Ok.
Test::Pod not used. Ok.
Test::Pod::Coverage not used. Ok.
Test::Spelling not used. Ok.
Test::Synopsis not used. Ok.
Test::Version not used. Ok.

All tests pass. Ok.

$ rpmlint perl-List-SomeUtils.spec ../SRPMS/perl-List-SomeUtils-0.51-1.fc25.src.rpm ../RPMS/noarch/perl-List-SomeUtils-0.51-1.fc25.noarch.rpm 
perl-List-SomeUtils.src: W: spelling-error Summary(en_US) Util -> Til, U til, Until
perl-List-SomeUtils.src: W: spelling-error %description -l en_US Util -> Til, U til, Until
perl-List-SomeUtils.noarch: W: spelling-error Summary(en_US) Util -> Til, U til, Until
perl-List-SomeUtils.noarch: W: spelling-error %description -l en_US Util -> Til, U til, Until
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-List-SomeUtils-0.51-1.fc25.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Mar  9 13:49 /usr/share/doc/perl-List-SomeUtils
-rw-r--r--    1 root    root                    15165 Feb 27 16:18 /usr/share/doc/perl-List-SomeUtils/Changes
-rw-r--r--    1 root    root                    22873 Feb 27 16:18 /usr/share/doc/perl-List-SomeUtils/README.md
drwxr-xr-x    2 root    root                        0 Mar  9 13:49 /usr/share/licenses/perl-List-SomeUtils
-rw-r--r--    1 root    root                    18403 Feb 27 16:18 /usr/share/licenses/perl-List-SomeUtils/LICENSE
-rw-r--r--    1 root    root                     9260 Mar  9 13:49 /usr/share/man/man3/List::SomeUtils.3pm.gz
-rw-r--r--    1 root    root                     1476 Mar  9 13:49 /usr/share/man/man3/List::SomeUtils::PP.3pm.gz
drwxr-xr-x    2 root    root                        0 Mar  9 13:49 /usr/share/perl5/vendor_perl/List
drwxr-xr-x    2 root    root                        0 Mar  9 13:49 /usr/share/perl5/vendor_perl/List/SomeUtils
-rw-r--r--    1 root    root                    23660 Feb 27 16:18 /usr/share/perl5/vendor_perl/List/SomeUtils.pm
-rw-r--r--    1 root    root                    10339 Feb 27 16:18 /usr/share/perl5/vendor_perl/List/SomeUtils/PP.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-List-SomeUtils-0.51-1.fc25.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Carp)
      1 perl(Exporter::Tiny)
      1 perl(Module::Implementation)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-List-SomeUtils-0.51-1.fc25.noarch.rpm | sort -f | uniq -c
      1 perl(List::SomeUtils) = 0.51
      1 perl(List::SomeUtils::PP) = 0.51
      1 perl-List-SomeUtils = 0.51-1.fc25
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-List-SomeUtils-0.51-1.fc25.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F25 (http://koji.fedoraproject.org/koji/taskinfo?taskID=13285091). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Please consider fixing `TODO' items before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2016-03-10 10:36:01 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-List-SomeUtils
Comment 3 Fedora Update System 2016-03-10 12:15:10 EST
perl-List-SomeUtils-0.51-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c3bd111ed
Comment 4 Jitka Plesnikova 2016-03-10 12:25:10 EST
Thank you for the review and the repository.
Comment 5 Fedora Update System 2016-03-11 14:27:21 EST
perl-List-SomeUtils-0.51-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c3bd111ed
Comment 6 Fedora Update System 2016-03-26 14:13:21 EDT
perl-List-SomeUtils-0.51-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.